package com.ym.mec.biz.dal.dto;

import com.ym.mec.biz.dal.enums.ELessonTrainingType;
import com.ym.mec.biz.dal.enums.StandardEnum;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @Author Joburgess
 * @Date 2020/3/20
 */
@Data
public class StudentHomeworkRecordDto {

    @ApiModelProperty(value = "学生作业ID")
    private Integer studentCourseHomeworkId;

    @ApiModelProperty(value = "课程ID")
    private Long courseScheduleId;

    @ApiModelProperty(value = "课程名称")
    private String courseName;

    @ApiModelProperty(value = "上课开始时间")
    private Date startClassTime;

    @ApiModelProperty(value = "老师ID")
    private Integer teacherId;

    @ApiModelProperty(value = "老师名称")
    private String teacherName;

    @ApiModelProperty(value = "老师头像")
    private String headUrl;

    @ApiModelProperty(value = "作业状态")
    private int status;

    @ApiModelProperty(value = "作业过期时间")
    private Date expiryDate;


    @ApiModelProperty(value = "结束时间")
    private Date endClassTime;


    @ApiModelProperty(value = "乐团id")
    private String musicGroupId;

    @ApiModelProperty(value = "乐团名称")
    private String musicGroupName;

    @ApiModelProperty(value = "乐团图片")
    private String musicGroupImg;

    private StandardEnum standardFlag;

    @ApiModelProperty("班级id")
    private Integer classGroupId;

    @ApiModelProperty("班级名称")
    private String classGroupName;

    @ApiModelProperty("教学形式（线上、线下）")
    private String teachMode;

    @ApiModelProperty(value = "作业类型 来源（HOMEWORK,EXTRACURRICULAR,EXTRA）",required = true)
    private ELessonTrainingType type;

    @ApiModelProperty("完成状态 false 未完成 true 已完成")
    private Boolean finishStatus;

    @ApiModelProperty("提交时间")
    private Date submitTime;
}
