package com.ym.mec.biz.dal.entity;

import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

/**
 * TenantConfig表config字段,该字段是动态
 * @author hgw
 * Created by 2021-12-22
 */
public class TenantConfigDetail implements Serializable {

    /**
     * 会员设置-分润金额
     */
    private MemberConfig member_config;

    /**
     * 云教室规则
     */
    private CloudRoomRule cloud_room_rule;

    @Data
    public static class MemberConfig implements Serializable {
        private BigDecimal dayDivide;
        private BigDecimal monthDivide;
        private BigDecimal quarterDivide;
        private BigDecimal halfYearDivide;
        private BigDecimal yearDivide;
    }

    public static class CloudRoomRule implements Serializable {

        /**
         * 云教室人数上限（含老师）
         */
        private Integer cloud_room_up_limit;

        /**
         * String人数-BigDecimal每分钟扣费标准
         */
        private Map<String, BigDecimal> cloud_room_config;

        public Integer getCloud_room_up_limit() {
            return cloud_room_up_limit;
        }

        public void setCloud_room_up_limit(Integer cloud_room_up_limit) {
            this.cloud_room_up_limit = cloud_room_up_limit;
        }

        public Map<String, BigDecimal> getCloud_room_config() {
            return cloud_room_config;
        }

        public void setCloud_room_config(Map<String, BigDecimal> cloud_room_config) {
            this.cloud_room_config = cloud_room_config;
        }
    }

    public MemberConfig getMember_config() {
        return member_config;
    }

    public void setMember_config(MemberConfig member_config) {
        this.member_config = member_config;
    }

    public CloudRoomRule getCloud_room_rule() {
        return cloud_room_rule;
    }

    public void setCloud_room_rule(CloudRoomRule cloud_room_rule) {
        this.cloud_room_rule = cloud_room_rule;
    }
}
