package com.ym.mec.biz.dal.entity;


import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * 机构入驻表(预加入)(TenantPreJoin)表实体类
 *
 * @author hgw
 * @since 2022-02-10 13:53:58
 */
@Data
@ApiModel(value = "tenant_pre_join-机构入驻表(预加入)")
public class TenantPreJoin implements Serializable {
    @TableId(value = "id_", type = IdType.AUTO)
    @ApiModelProperty(value = "主键")
    private Integer id;

    @TableField("recommender_")
    @ApiModelProperty(value = "推荐人")
    private Integer recommender;

    @TableField("tsign_name_")
    @ApiModelProperty(value = "公司全称")
    private String tsignName;

    @TableField("name_")
    @ApiModelProperty(value = "机构名称/公司简称")
    private String name;

    @TableField("area_id_")
    @ApiModelProperty(value = "城市id")
    private Integer areaId;

    @TableField("area_name_")
    @ApiModelProperty(value = "城市名称")
    private String areaName;

    @TableField("email_")
    @ApiModelProperty(value = "机构邮箱")
    private String email;

    @TableField("customer_service_phone_")
    @ApiModelProperty(value = "客服电话")
    private String customerServicePhone;

    @TableField("tsign_code_")
    @ApiModelProperty(value = "营业执照编码")
    private String tsignCode;

    @TableField("address_")
    @ApiModelProperty(value = "地址")
    private String address;

    @TableField("remark_")
    @ApiModelProperty(value = "机构描述-200字")
    private String remark;

    @TableField("enterprise_liable_name_")
    @ApiModelProperty(value = "企业负责人")
    private String enterpriseLiableName;

    @TableField("enterprise_liable_phone_")
    @ApiModelProperty(value = "企业负责人电话")
    private String enterpriseLiablePhone;

    @TableField("legal_person_id_front_pic_")
    @ApiModelProperty(value = "法人身份证正面照片地址")
    private String legalPersonIdFrontPic;

    @TableField("legal_person_id_reverse_pic_")
    @ApiModelProperty(value = "法人身份证反面照片地址")
    private String legalPersonIdReversePic;

    @TableField("contacts_")
    @ApiModelProperty(value = "项目负责人/机构联系人")
    private String contacts;

    @TableField("phone_")
    @ApiModelProperty(value = "项目负责人电话/机构联系人电话")
    private String phone;

    @TableField("tsign_pic_")
    @ApiModelProperty(value = "公司营业执照图片")
    private String tsignPic;

    @TableField("tax_register_pic_")
    @ApiModelProperty(value = "税务登记证照片地址")
    private String taxRegisterPic;

    @TableField("company_account_info_pic_")
    @ApiModelProperty(value = "公司开户信息照片地址")
    private String companyAccountInfoPic;

    @TableField("logo_")
    @ApiModelProperty(value = "机构logo")
    private String logo;

    @TableField("corporate_chops_")
    @ApiModelProperty(value = "企业公章图片地址")
    private String corporateChops;

    @TableField("corporate_finance_chops_")
    @ApiModelProperty(value = "企业财务公章图片地址")
    private String corporateFinanceChops;

    @TableField("state_")
    @ApiModelProperty(value = "是否已创建为机构 0未创建 1已创建")
    private Integer state;

    @TableField("del_flag_")
    @ApiModelProperty(value = "删除标记")
    private Boolean delFlag;

    @TableField("created_time_")
    @ApiModelProperty(value = "创建时间")
    private Date createdTime;

    @TableField("province_id_")
    @ApiModelProperty(value = "省份id")
    private Integer provinceId;

    @TableField("province_name_")
    @ApiModelProperty(value = "省份名称")
    private String provinceName;

    @TableField("current_has_school_num_")
    @ApiModelProperty(value = "现有学校数量")
    private Integer currentHasSchoolNum;

    @TableField("student_num_")
    @ApiModelProperty(value = "学员数量")
    private Integer studentNum;

}

