package com.ym.mec.biz.dal.vo;

import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * @author hgw
 * Created by 2021-12-21
 */
@Data
public class TenantOrderRecordVo implements Serializable {

    @ApiModelProperty(value = "机构名称")
    private String tenantName;

    @TableField("tenant_id_")
    @ApiModelProperty(value = "机构产品设置表id")
    private Integer tenantId;

    @TableField("order_no_")
    @ApiModelProperty(value = "订单编号(付款前生成订单时生成的编号)")
    private String orderNo;

    @TableField("trans_no_")
    @ApiModelProperty(value = "支付编号(付款后第三方支付给予的)")
    private String transNo;

    @TableField("order_type_")
    @ApiModelProperty(value = "订单类型/机构开通缴费、续费、充值、激活团练宝")
    private String orderType;

    @TableField("payment_channel_")
    @ApiModelProperty(value = "付款渠道/惠支付、双乾")
    private String paymentChannel;

    @TableField("pay_channel_")
    @ApiModelProperty(value = "付款渠道/微信、支付宝、等")
    private String payChannel;

    @TableField("expect_amount")
    @ApiModelProperty(value = "应付金额")
    private BigDecimal expectAmount;

    @TableField("actual_amount")
    @ApiModelProperty(value = "实付金额")
    private BigDecimal actualAmount;

    @TableField("order_state_")
    @ApiModelProperty(value = "订单状态/0待支付、1已支付、2支付失败")
    private Integer orderState;

    @JsonFormat(pattern = "yyyy-MM-dd")
    @TableField("pay_date_")
    @ApiModelProperty(value = "支付日期")
    private Date payDate;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField("pay_time_")
    @ApiModelProperty(value = "支付时间")
    private Date payTime;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField("created_time_")
    @ApiModelProperty(value = "订单创建时间")
    private Date createdTime;

    @ApiModelProperty(value = "是否发送激活短信")
    @TableField("send_sms_flag_")
    private Boolean sendSmsFlag;
}
