package com.ym.mec.biz.service;

import java.io.File;
import java.util.Map;

import com.microsvc.toolkit.middleware.payment.common.api.entity.PaymentMerchant;
import com.ym.mec.biz.dal.entity.HfMember;
import com.ym.mec.common.service.BaseService;
import com.ym.mec.thirdparty.adapay.entity.AccountInfo;

public interface HfMemberService extends BaseService<Integer, HfMember> {
	
	/**
     * 根据商户号获取商户信息
     *
     * @param memberId
     * @return
     */
    HfMember getByMemberId(String memberId, String payerName);
    
    HfMember getByOrganId(Integer organId, String payerName);

    HfMember queryByRequestNo(String requestNo);

    boolean createMember(HfMember member, File file) throws Exception;

    PaymentMerchant.MerchantConfig getMerchantConfig(String paymentVerdor, Integer tenantId);

    boolean updateMember(HfMember member, File file) throws Exception;

    boolean mergeSettleAccount(String memberId, AccountInfo accountInfo) throws Exception;

    Map<String, Object> queryWithKey(String appId, String merKey, int pageIndex, long createdGte, long createdLte);

    Map<String, Object> queryConfirmList(String appId, String merchantKey, String paymentId);
}
