package com.ym.mec.biz.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ym.mec.biz.dal.entity.MemberRankCourseTypeMapper;
import com.ym.mec.biz.dal.mapper.MemberRankCourseTypeMapperMapper;
import com.ym.mec.biz.service.MemberRankCourseTypeMapperService;
import lombok.extern.slf4j.Slf4j;
import org.apache.commons.collections.CollectionUtils;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.HashSet;
import java.util.List;

/**
 * 会员课程类型权限表
 * 2024-10-22 14:51:51
 */
@Slf4j
@Service
public class MemberRankCourseTypeMapperServiceImpl extends ServiceImpl<MemberRankCourseTypeMapperMapper, MemberRankCourseTypeMapper> implements MemberRankCourseTypeMapperService {

    @Override
    public void batchInsert(Integer memberRankSettingId, List<String> memberCourseTypeList) {
        if (CollectionUtils.isEmpty(memberCourseTypeList)) {
            return;
        }

        List<MemberRankCourseTypeMapper> memberRankCourseTypeMappers = new ArrayList<>();
        for (String s : new HashSet<>(memberCourseTypeList)) {
            MemberRankCourseTypeMapper memberRankCourseTypeMapper = new MemberRankCourseTypeMapper();
            memberRankCourseTypeMapper.setCourseType(s);
            memberRankCourseTypeMapper.setRankId(memberRankSettingId);
            memberRankCourseTypeMappers.add(memberRankCourseTypeMapper);
        }
        this.saveBatch(memberRankCourseTypeMappers);
    }

    @Override
    public List<MemberRankCourseTypeMapper> getByMemberRankId(List<Integer> memberRankSettingId) {
        if (CollectionUtils.isEmpty(memberRankSettingId)) {
            return new ArrayList<>();
        }
        return lambdaQuery()
            .in(MemberRankCourseTypeMapper::getRankId,memberRankSettingId)
            .list();
    }

    @Override
    public void deleteByRankSettingId(Integer memberRankSettingId) {
        lambdaUpdate()
            .eq(MemberRankCourseTypeMapper::getRankId,memberRankSettingId)
            .remove();
    }
}