package com.ym.mec.web;

import com.alibaba.fastjson.JSON;
import com.ym.mec.common.config.FeignConfiguration;
import com.ym.mec.common.dto.SchoolDto;
import com.ym.mec.common.entity.*;
import com.ym.mec.dto.LiveRoomStatus;
import com.ym.mec.dto.RoomMember;
import com.ym.mec.dto.RoomMemberNumDto;
import com.ym.mec.thirdparty.adapay.entity.BaseResult;
import com.ym.mec.thirdparty.adapay.entity.HfMerchantConfig;
import com.ym.mec.web.fallback.WebFeignServiceFallback;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.*;

import javax.validation.Valid;
import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

@FeignClient(name = "${app-config.open-feign.klx-server.name:klx-server}",
		contextId = "KLXFeignService",
		url = "${app-config.open-feign.klx-server.url:}",
		configuration = FeignConfiguration.class, fallback = WebFeignServiceFallback.class)
public interface KLXFeignService {


    @GetMapping("/open/live/queryRoomInfo")
    HttpResponseResult<RoomMemberNumDto> queryRoomInfo(@RequestParam("roomUid") String roomUid);


    //("查询直播间人员列表")
    @PostMapping("/open/live/queryRoomMember")
    HttpResponseResult<List<RoomMember>> queryRoomMember(@RequestBody Map<String, Object> param) ;



//    @ApiOperation("更新直播间状态")
    @PostMapping("/open/live/updateRoomStatus")
    public HttpResponseResult<Boolean> updateRoomStatus(@RequestBody JSON status );

}
