package com.ym.mec.common.dto;

import com.microsvc.toolkit.common.webportal.exception.BizException;

public class  RealnameAuthenticationDto  {
	public static boolean verify(String realname, String idcardNo) {
		//取消第三方实名认证，通过正则校验
		if (realname == null || idcardNo == null) {
			return false;
		}
		//校验身份证号码
		if (!idcardNo.matches("(^\\d{6}(18|19|20)\\d{2}(0[1-9]|1[0-2])(0[1-9]|[12]\\d|3[01])\\d{3}(\\d|X|x)$)|(^\\d{6}\\d{2}(0[1-9]|1[0-2])(0[1-9]|[12]\\d|3[01])\\d{3}$)")) {
			throw new BizException("身份证格式不正确");
		}
		//校验姓名
		if (!realname.matches("^[\u4e00-\u9fa5]{2,4}$")) {
			throw new BizException("姓名格式不正确");
		}
		return true;
	}
}
